DB=B1.20.500
L=100
COVERAGE=15
K=64
ROWWEIGHT=16
NUMHASH=8
NBATCHES=1
HASH_FUNC=ldpc.py

echo ================
echo Building Models
date
echo "bash opal-train.sh -d $DB -l $L -c $COVERAGE --nbatches $NBATCHES --kmer $K --row_weight $ROWWEIGHT --numHash $NUMHASH --hash_func $HASH_FUNC 2>&1"
echo ================
cd src/build-models/src
bash opal-train.sh -d $DB -l $L -c $COVERAGE --nbatches $NBATCHES --kmer $K --row_weight $ROWWEIGHT --numHash $NUMHASH --hash_func $HASH_FUNC 2>&1

echo ================
echo Making Predictions
date
echo "bash opal-predict.sh -d $DB --nbatches $NBATCHES --kmer $K -l $L 2>&1"
echo ================
cd ../../make-predictions/src
bash opal-predict.sh -d $DB --nbatches $NBATCHES --kmer $K -l $L 2>&1
